import { createApp } from 'vue';
import App from './App.vue';
import router, { setupRouter } from '@/router/index';
import { setupElementPlus } from '@/plugins/element-plus';
import {setupVxeTabele} from '@/plugins/vxe-table'
export async function bootstrapInstall() {
  const app = createApp(App);

  // 挂载element ui 组件
  setupElementPlus(app);

  setupVxeTabele(app);

  // 挂载路由
  setupRouter(app);
  // 路由准备就绪后挂载 APP 实例
  await router.isReady();

  app.mount('#app');
}
