const HOME_URL = "/recording";
const LOGIN_URL = "/login";

/**
 * 静态路由
 */
export const staticRoute = [
  {
    path: "/",
    redirect: HOME_URL,
  },
  {
    path: '/recording',
    name: "recording",
    component: () => import("@/views/recording/index.vue"),
    meta: {
      title: 'Recording'
    }
  },
  {
    path: '/recording-add',
    name: "recordingAdd",
    component: () => import("@/views/recording/add.vue"),
    meta: {
      title: 'Recording Add'
    }
  },
  {
    path: '/recording-convert/:id',
    name: "recordingConvert",
    component: () => import("@/views/recording/convert.vue"),
    meta: {
      title: 'Recording Convert'
    }
  }
//   {
//     path: LOGIN_URL,
//     name: "login",
//     component: () => import("@/views/login/index.vue"),
//     meta: {
//       title: "Login",
//     },
//   },
//   {
//     path: "/layout",
//     name: "layout",
//     component: () => import("@/layouts/index.vue"),
//     redirect: HOME_URL,
//     children: [],
//   },
];

/**
 * errorRouter (错误页面路由)
 */
export const errorRouter = [
  {
    path: "/403",
    name: "403",
    component: () => import("@/components/ErrorMessage/403.vue"),
    meta: {
      title: "403页面",
    },
  },
  {
    path: "/404",
    name: "404",
    component: () => import("@/components/ErrorMessage/404.vue"),
    meta: {
      title: "404页面",
    },
  },
  {
    path: "/500",
    name: "500",
    component: () => import("@/components/ErrorMessage/500.vue"),
    meta: {
      title: "500页面",
    },
  },
  // Resolve refresh page, route warnings
  {
    path: "/:pathMatch(.*)*",
    component: () => import("@/components/ErrorMessage/404.vue"),
  },
];
